Skip to content

Update Asset

PUT
/api/v1/assets/{id}

Update an existing asset

id
required

Asset ID (UUID)

string format: uuid
object
name
required

Name of the asset

string
>= 1 characters <= 255 characters
Example
Vanguard FTSE All-World UCITS ETF
assetType
required

Type of asset

string
Allowed values: stock etf crypto real_estate cash bond other
Example
etf
tickerSymbol

Stock/ETF ticker symbol

string
<= 20 characters
Example
VWCE.DE
isin

International Securities Identification Number

string
>= 12 characters <= 12 characters
Example
IE00BK5BQT80
quantity
required

Number of units/shares held

number
> 0
Example
50
purchasePrice
required

Purchase price per unit

number
> 0
Example
110.5
purchaseDate

Date of purchase

string format: date
Example
2024-01-15
currency

Currency of the asset

string
default: EUR >= 3 characters <= 3 characters
Example
EUR
expenseRatio

Annual expense ratio for ETFs/funds (%)

number
<= 10
Example
0.22
geographicRegion

Geographic region of the asset

string
Example
Global
sector

Industry sector

string
Example
Technology
categoryId
required

Category ID for grouping assets

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440000

Asset updated

object
success
required
boolean
data
required
object
id
required

Asset ID

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440000
userId
required

Owner user ID

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440000
name
required
string
assetType
required

Type of financial asset

string
Allowed values: stock etf crypto real_estate cash bond other
Example
etf
tickerSymbol
required
string | null
isin
required
string | null
quantity
required
number
purchasePrice
required
number
currentPrice
required
number | null
currentValue
required
number | null
valueEur
required
number | null
purchaseDate
required
string | null
currency
required
string
expenseRatio
required
number | null
geographicRegion
required
string | null
sector
required
string | null
categoryId
required

Unique identifier (UUID v4)

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440000
categoryName
required
string
lastUpdated
required

Timestamp in ISO 8601 format

string | null format: date-time
Example
2024-01-15T10:30:00Z
createdAt
required

Timestamp in ISO 8601 format

string format: date-time
Example
2024-01-15T10:30:00Z
updatedAt
required

Timestamp in ISO 8601 format

string format: date-time
Example
2024-01-15T10:30:00Z
meta
required
object
timestamp
required

Timestamp in ISO 8601 format

string format: date-time
Example
2024-01-15T10:30:00Z

Validation error

object
success
required

Always false for error responses

boolean
error
required

Error type

string
Example
Validation error
code

Machine-readable error code

string
Example
VALIDATION_ERROR
details

Detailed validation errors

Array<object>
object
path
required

Path to the invalid field

string
Example
currentAge
message
required

Error message

string
Example
Must be between 18 and 100

Unauthorized

object
success
required

Always false for error responses

boolean
error
required

Error type

string
Example
Validation error
code

Machine-readable error code

string
Example
VALIDATION_ERROR
details

Detailed validation errors

Array<object>
object
path
required

Path to the invalid field

string
Example
currentAge
message
required

Error message

string
Example
Must be between 18 and 100

Asset not found

object
success
required

Always false for error responses

boolean
error
required

Error type

string
Example
Validation error
code

Machine-readable error code

string
Example
VALIDATION_ERROR
details

Detailed validation errors

Array<object>
object
path
required

Path to the invalid field

string
Example
currentAge
message
required

Error message

string
Example
Must be between 18 and 100